/*______________________________________________________________________________
 * 
 * org.eidola.kernel.error.DuplicateName
 * 
 * Part of the Eidola Kernel Reference Implementation
 * See http://eidola.org for oodles of relevant fun!
 * 
 *______________________________________________________________________________
 * 
 * Copyright 2000-2001 Paul Cantrell
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2, as published by the
 * Free Software Foundation. See the file LICENSE.html for more information.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY, including the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc. / 59 Temple
 * Place, Suite 330 / Boston, MA 02111-1307 / USA.
 *_______________________________________________________________________________
 */

package org.eidola.kernel.error;

import org.eidola.kernel.*;

/**
	Different elements within a namespace have identical full names.
	
	@author Paul Cantrell
	@version [Development version]
*/

// Should probably fix this so that instead of having a separate exception
// for every duplicate name, there is one exception which references all the
// duplicate names as a set

public class DuplicateName
	extends LazySemanticViolation
	{
	public DuplicateName(NamedElement culprit, String s)
		{ super(culprit, s); }
	}