/*______________________________________________________________________________
 * 
 * org.eidola.util.CollectionDiff
 * 
 * Part of the Eidola Kernel Reference Implementation
 * See http://eidola.org for oodles of relevant fun!
 * 
 *______________________________________________________________________________
 * 
 * Copyright 2001 Paul Cantrell
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2, as published by the
 * Free Software Foundation. See the file LICENSE.html for more information.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY, including the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc. / 59 Temple
 * Place, Suite 330 / Boston, MA 02111-1307 / USA.
 *_______________________________________________________________________________
 */

package org.eidola.util;

import java.util.*;

/**
	@author Paul Cantrell
	@version [Development version]
*/

public class DefaultListMutator
	implements ListMutator
	{
	public DefaultListMutator(List list)
		{ this.list = list; }
	
	public void insert(Object object, int index)
		{ list.add(index, object); }
	
	public void remove(Object object, int index)
		{ list.remove(index); } 
	
	public void move(Object object, int index, int toIndex)
		{
		list.remove(index);
		list.add(toIndex, object);
		}
	
	protected List list;
	}



